package com.example.venue_reservation_service.dto;

import com.example.venue_reservation_service.vo.TimeItem;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.List;

// 管理员占用时间段
@Data
public class SlotDTO {

    Integer venueId;

    Integer userId;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    LocalDate reservationDate;

    List<TimeItem> slots; // 占用的时间段
}
