package com.example.venue_reservation_service.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.example.venue_reservation_service.domain.Comment;
import com.example.venue_reservation_service.mapper.CommentMapper;
import com.example.venue_reservation_service.service.CommentService;
import com.example.venue_reservation_service.vo.Result;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
* @author 31586
* @description 针对表【venue_comment(用户评论主表)】的数据库操作Service实现
* @createDate 2025-06-03 15:00:23
*/
@Service
public class CommentServiceImpl extends ServiceImpl<CommentMapper, Comment>
    implements CommentService{

    @Override
    public Result createComment(Comment comment) {
        // TODO 对敏感词进行脱敏处理 --
        comment.setCreateTime(LocalDateTime.now());
        comment.setUpdateTime(LocalDateTime.now());
        // TODO 保存评论记录
        return null;
    }
}




