package com.example.venue_reservation_service.dcpint.app;

import java.util.HashMap;
import java.util.Map;

import com.example.venue_reservation_service.dcpint.util.IfsDcpIntUtils;

public class IfsDcpIntAppTest {

	public static void main(String[] args) throws Exception {
		IfsDcpIntAppTest t=new IfsDcpIntAppTest();
		t.test_sendNotificationMsgBatch();
        return;
	}
	
	/*
	 发送移动通知消息
	 */
	private void test_sendNotificationMsg() throws Exception{
		//String content="移动通知消息内容";
		String content="您好,您有新的待审批事项：签章测试,申请人为凌仕勇,请尽快进入<a href='https://mobile.ecjtu.edu.cn/oauth/authorize?client_id=pqZ3wGM07i8R9mR3&response_type=code&scope=base_api&state=ecjtu&redirect_uri=https%3A%2F%2Fmobileapp.ecjtu.edu.cn%2Fcheck%2Fredirectapp%3Fredirect_url%3Dhttp%253A%252F%252Fportal.ecjtu.edu.cn%253A8080%252Fform%252Fforward.action%253Fpath%253Dportal%252Fportal%2526p%253Dtodutask%2526SYS_FK%253D684ed497%253A16ef434ba30%253A-7feb%2526workitemid%253D684ed497%253A16ef434ba30%253A-7fe3%2526form_id%253D54601860-02b6-422e-a7f6-d88dc525%2526status%253Dselect%2526privilegeType%253Dparti_person'>智慧交大网上办事大厅</a>进行办理。";
		//String content="您好，OA系统移动消息测试。";
		
		String param="<param>"
				+ "<module>App</module>"
				+ "<method>sendNotificationMsg</method>"
				+"<sender>xx,xxx</sender>"
				+ "<receiver>2547</receiver>"
				+"<title>OA移动消息提醒</title>"
				+"<content>"+content+"</content>"
				+ "</param>";
		//String param="<param><module>App</module><method>sendNotificationMsg</method><sender>2d914d6a9fc5a552,08bcee9bf734d1969bd4dc95d61ef8de</sender><receiver>ceshi5</receiver><title>OA移动消息提醒</title><content><p>创建人：周庆忠</p ><p>创建时间：2020-08-21 11:57:26</p ></content></param>";
		//System.out.println(param);
		param= IfsDcpIntUtils.desEncode(param);
		Map<String, String> params = new HashMap<String, String>();
		//注意：参数名"clienttype","name"和"param"不能变
		params.put("clienttype", "java");
		params.put("name", "xx");
	    params.put("param", param);
	   /*返回值说明
	    (1)正确的返回为：{"success":true,"message":true}
	    (2)错误的返回为：{"success":false,"message":"具体消息内容"}
	             比如，具体消息内容可能包含“没有此服务接口”，“请求IP不在定义的范围”，“参数不合法”,...。	 
	             具体判断可以简单以返回串不包含false字符串为成功标志。
	    */
	    String result = IfsDcpIntUtils.httpPostRequest(params);
	    System.out.println(result);
	}
	
	private void test_sendNotificationMsgBatch() throws Exception{
		//String content="移动通知消息内容";
		String content="您好,您有新的待审批事项：签章测试,申请人为凌仕勇,请尽快进入<a href='https://mobile.ecjtu.edu.cn/oauth/authorize?client_id=pqZ3wGM07i8R9mR3&response_type=code&scope=base_api&state=ecjtu&redirect_uri=https%3A%2F%2Fmobileapp.ecjtu.edu.cn%2Fcheck%2Fredirectapp%3Fredirect_url%3Dhttp%253A%252F%252Fportal.ecjtu.edu.cn%253A8080%252Fform%252Fforward.action%253Fpath%253Dportal%252Fportal%2526p%253Dtodutask%2526SYS_FK%253D684ed497%253A16ef434ba30%253A-7feb%2526workitemid%253D684ed497%253A16ef434ba30%253A-7fe3%2526form_id%253D54601860-02b6-422e-a7f6-d88dc525%2526status%253Dselect%2526privilegeType%253Dparti_person'>智慧交大网上办事大厅</a>进行办理。";
		//String content="您好，请尽快进行填报。";
		
		String param="<param>"
				+ "<module>App</module>"
				+ "<method>sendNotificationMsgBatch</method>"
				+"<sender>xx,xxx</sender>"
				+ "<receiver>2547,1112</receiver>"
				+"<title>OA移动消息提醒</title>"
//				+"<content>移动通知消息内容</content>"
				+"<content>"+content+"</content>"
				+ "</param>";
		param=IfsDcpIntUtils.desEncode(param);
		Map<String, String> params = new HashMap<String, String>();
		//注意：参数名"clienttype","name"和"param"不能变
		params.put("clienttype", "java");
		params.put("name", "xx");
	    params.put("param", param);
	   /*返回值说明
	    (1)正确的返回为：{"success":true,"message":true}
	    (2)错误的返回为：{"success":false,"message":"具体消息内容"}
	             比如，具体消息内容可能包含“没有此服务接口”，“请求IP不在定义的范围”，“参数不合法”,...。	 
	             具体判断可以简单以返回串不包含false字符串为成功标志。
	    */
	    String result = IfsDcpIntUtils.httpPostRequest(params);
	    System.out.println( result);
	}
	
}
