package com.example.venue_reservation_service.controller;

import com.example.venue_reservation_service.domain.School;
import com.example.venue_reservation_service.service.SchoolService;
import com.example.venue_reservation_service.vo.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import jakarta.annotation.Resource;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/school")
@Api("认证数据管理")
@CrossOrigin
public class SchoolController {

    @Resource
    private SchoolService schoolService;

    @ApiOperation("获取单位分布情况")
    @GetMapping("/college")
    public Result college(){
        return schoolService.queryColleges();
    }
}
