package com.example.venue_reservation_service.dto;

import com.example.venue_reservation_service.vo.TimeItem;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.List;

@Data
public class RAddDTO {

    private Integer userId;

    private Integer venueId;

    private List<TimeItem> times;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate reservationDate;

    private Double money;
}
