package com.example.venue_reservation_service;

import com.example.venue_reservation_service.controller.UserController;
import com.example.venue_reservation_service.dto.AdminDTO;
import com.example.venue_reservation_service.utils.MD5Util;
import com.example.venue_reservation_service.vo.Result;
import jakarta.annotation.Resource;
import okhttp3.OkHttpClient;
import okhttp3.Request;
import okhttp3.Response;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.http.client.SimpleClientHttpRequestFactory;
import org.springframework.web.client.RestTemplate;

import java.util.*;

@SpringBootTest
class VenueReservationServiceApplicationTests {


    @Resource
    private RestTemplate restTemplate;

    @Test
    void contextLoads() throws Exception {
        SimpleClientHttpRequestFactory requestFactory = new SimpleClientHttpRequestFactory();
        int timeout = 5000; // 超时时间设置为5000毫秒
        requestFactory.setConnectTimeout(timeout);
        requestFactory.setReadTimeout(timeout);
        RestTemplate restTemplate = new RestTemplate(requestFactory);
        System.out.println(restTemplate.getForObject("https://ruanjiansc.cn/user/test", Map.class));
    }



}