package com.example.venue_reservation_service.dcpint.icdcshare;

import com.example.venue_reservation_service.dcpint.util.IfsDcpIntUtils;
import com.example.venue_reservation_service.vo.hdjd.ResponseResult;
import com.example.venue_reservation_service.vo.hdjd.Unit;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.junit.jupiter.api.Test;

import java.util.HashMap;
import java.util.Map;



public class IfsDcpIcdcShareTest {

	public static void main(String[] args) throws Exception {
	    
	}
	
	@Test
	public void test_getGzzxList() throws Exception {
		String param="<param>"
				+ "<module>IcdcShare</module>"
				+ "<method>getUnit</method>"
				//+"<params>pageSize=8&pageNo=1</params>"
				+"<params>STUDENTID=1966&pageSize=5&pageNo=1</params>"
				//+"<params>STUDENTID=2017</params>"
				+ "</param>";
		param= IfsDcpIntUtils.desEncode(param);
		Map<String, String> params = new HashMap<String, String>();
		//注意：参数名"clienttype","name"和"param"不能变
		params.put("clienttype", "java");
		params.put("name", "thirdpartytest");
		params.put("param", param);
		/*返回值说明
	    (1)正确的返回为：{"success":true,"message":true}
	    (2)错误的返回为：{"success":false,"message":"具体消息内容"}
	             比如，具体消息内容可能包含“没有此服务接口”，“请求IP不在定义的范围”，“参数不合法”,...。	 
	             具体判断可以简单以返回串不包含false字符串为成功标志。
	    */
	    String result = IfsDcpIntUtils.httpPostRequest(params);
//	    System.out.println("result：" + result);
		ObjectMapper mapper = new ObjectMapper();
		ResponseResult responseResult = mapper.readValue(result, ResponseResult.class);
		for (Unit unit : responseResult.getMessage()) {
			System.out.println(unit);
		}
		System.out.println(responseResult.getPage());
//		result
	}

}
